Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223859 - yum.conf documentation is confusing (and probably dead wrong)
Summary: yum.conf documentation is confusing (and probably dead wrong)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 19:46 UTC by Horst H. von Brand
Modified: 2014-01-21 22:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 19:09:05 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2007-01-22 19:46:38 UTC
Description of problem:
yum.conf(5) states:

  $releasever
              This will be replaced with the value of the version of the pack-
              age listed in distroverpkg. This  defaults  to  the  version  of
              ‘redhat-release’ package.

Here yum.conf says:

  distroverpkg=redhat-release

And there isn't such a package.

Plus the yum.repos.d/fedora-core.repo contains uses of $releasever, which seems
to map to "development" (is there any way to find out what the variable values
are?) for rawhide, judging from the layout at <http://download.fedora.redhat.com>

All this just doesn't add up.

Version-Release number of selected component (if applicable):
yum-3.0.1-6.fc7

How reproducible:
Has been this way for quite some time...

Steps to Reproduce:
1. Try to make sense out of the documentation ;-)
2.
3.
  
Actual results:
Utter confusion

Expected results:
Some enlightenment...

Additional info:

Comment 1 Jeremy Katz 2007-04-25 19:09:05 UTC
Fixed up for rawhide


Note You need to log in before you can comment on or make changes to this bug.